# Views Save Search Filter

## Table of contents

- Introduction
- Requirements
- Installation
- Configuration
- Maintainers


## Introduction

This views save search filter module allows you to save your applied search
on the views pages, logged in user can save his/her search (search page URL),
so next time they don't need to select same filter criteria, instead they
can simply click on saved search links.


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

You can place the below links in your desired position in your views page,
may be in your views twig template or through views ui, you can place it
in the header section.

1. Below link opens a popup form allowing you to save your current search:
   ` <a class="use-ajax" data-dialog-options="{&quot;width&quot;:800}"
    data-dialog-type="modal"
    href="/views-save-search-filter/views-save-search-filter-form">
      Save this search
   </a> `

1. Below link allow users to see their previously saved search list,
   so they can click on it:
   ` <a class="use-ajax" data-dialog-options="{&quot;width&quot;:800}"
     data-dialog-type="modal"
     href="/views-save-search-filter/get-save-filters/">
     Show saved filter
   </a> `


## Maintainers

- Pravin Gaikwad (Rajeshreeputra) - https://www.drupal.org/u/rajeshreeputra
- Ganesh Suryawanshi (ganeshsurya11) - https://www.drupal.org/u/ganeshsurya11
